SD_BUS_MESSAGE_REWIND(3)

NAME
sd_bus_message_rewind - Return to begining of message or current container

SYNOPSIS

#include <systemd/sd-bus.h>

int sd_bus_message_rewind(sd_bus_message *m, int complete);

DESCRIPTION

sd_bus_message_rewind() moves the "read pointer" in the message m to either the begining of the message (if complete is true) or to the beginning of the currently open container. If no container is open, complete has no effect.

RETURN VALUE

On success, this function returns 0 or a positive integer. The value is zero if the current container or whole message in case no container is open is empty, and positive otherwise. On failure, it returns a negative errno-style error code.

NOTES

These APIs are implemented as a shared library, which can be compiled and linked to with the libsystemd pkg-config(1) file.

ERRORS

Returned errors may indicate the following problems:

-EINVAL
    The m parameter is NULL.

-EPERM
    The message m has not been sealed.

SEE ALSO

systemd(1), sd-bus(3), sd_bus_message_read(3)